Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.DM.BoundaryType

class petsc4py.PETSc.DM.BoundaryType

  Bases: `object`

  `DM` Boundary types.

  Attributes Summary

  `GHOSTED` | Constant `GHOSTED` of type `int`
  `MIRROR` | Constant `MIRROR` of type `int`
  `NONE` | Constant `NONE` of type `int`
  `PERIODIC` | Constant `PERIODIC` of type `int`
  `TWIST` | Constant `TWIST` of type `int`

  Attributes Documentation

  GHOSTED: int = GHOSTED

    Constant `GHOSTED` of type `int`

  MIRROR: int = MIRROR

    Constant `MIRROR` of type `int`

  NONE: int = NONE

    Constant `NONE` of type `int`

  PERIODIC: int = PERIODIC

    Constant `PERIODIC` of type `int`

  TWIST: int = TWIST

    Constant `TWIST` of type `int`